/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for creating an external connector that is used to connect to an external DB system component
 * using the [Management Agent Cloud Service (MACS)](https://docs.cloud.oracle.com/iaas/management-agents/index.html).
 *
 */
export interface CreateExternalDbSystemMacsConnectorDetails extends model.CreateExternalDbSystemConnectorDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the management agent
     * used for the external DB system connector.
     *
     */
    "agentId": string;
    "connectionInfo"?: model.ExternalAsmConnectionInfo | model.ExternalDatabaseConnectionInfo;
    "connectorType": string;
}
export declare namespace CreateExternalDbSystemMacsConnectorDetails {
    function getJsonObj(obj: CreateExternalDbSystemMacsConnectorDetails, isParentJsonObj?: boolean): object;
    const connectorType = "MACS";
    function getDeserializedJsonObj(obj: CreateExternalDbSystemMacsConnectorDetails, isParentJsonObj?: boolean): object;
}
