/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.55.0/datasafe/ListWorkRequests.ts.html |here} to see how to use ListWorkRequestsRequest.
 */
export interface ListWorkRequestsRequest extends common.BaseRequest {
    /**
     * A filter to return only resources that match the specified compartment OCID.
     */
    "compartmentId": string;
    /**
     * A filter to return only work requests that match the specific operation type.
     */
    "operationType"?: string;
    /**
     * The field used for sorting. Only one sorting order (sortOrder) can be specified.
     * The default order is descending.
     *
     */
    "sortBy"?: ListWorkRequestsRequest.SortBy;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListWorkRequestsRequest.SortOrder;
    /**
     * A filter to return only work requests that match the specified resource OCID.
     */
    "resourceId"?: string;
    /**
     * A filter to return only work requests that are associated to the specified target database OCID.
     */
    "targetDatabaseId"?: string;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
}
export declare namespace ListWorkRequestsRequest {
    enum SortBy {
        Starttime = "STARTTIME",
        Finishtime = "FINISHTIME",
        Acceptedtime = "ACCEPTEDTIME"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
